## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----setup--------------------------------------------------------------------
library(MRTSampleSizeBinary)

## -----------------------------------------------------------------------------
tau_t_1

## -----------------------------------------------------------------------------
p_t_1

## -----------------------------------------------------------------------------
f_t_1

## -----------------------------------------------------------------------------
beta_1

## -----------------------------------------------------------------------------
g_t_1

## -----------------------------------------------------------------------------
alpha_1

## -----------------------------------------------------------------------------
mrt_binary_ss(avail_pattern=tau_t_1, 
                               f_t=f_t_1, g_t=g_t_1, 
                               beta=beta_1, alpha=alpha_1,
                               p_t=p_t_1, 
                               gamma=0.05, 
                               b=.2,
                               exact=FALSE)

## -----------------------------------------------------------------------------
mrt_binary_power(avail_pattern=tau_t_1, 
                          f_t=f_t_1, g_t=g_t_1, 
                          beta=beta_1, alpha=alpha_1, 
                          p_t=p_t_1, 
                          gamma=0.05, 
                          n=275)

## ----powe-plot, fig.align='center'--------------------------------------------
power_vs_n_plot(avail_pattern=tau_t_1, 
                f_t=f_t_1, g_t=g_t_1, 
                beta=beta_1, alpha=alpha_1, 
                p_t=p_t_1, 
                gamma=0.05)

## -----------------------------------------------------------------------------
power_summary(tau_t_1, f_t_1, g_t_1,beta_1, alpha_1, p_t_1, 0.05)

